2017-06-25 09:44 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002474NetSurfGTK-specificpublic2017-01-18 21:30
ReporterPICCORO Lenz McKAY 
Assigned To 
SeverityminorReproducibilityhave not tried 
StatusresolvedResolutionopen 
PlatformLinuxOSDebianOS Version6
Product Version3.5 
Target VersionFixed in Version3.6 
Summary0002474: error runtime: faile to find ui resource at execute
Descriptionafter prepared and packaged with compilation to debian the netsurf browser with all possible enabled, i got this error when try to run:

general@debian:~$ nsgtk
GTK resources failed to initialise (NotFound)
general@debian:~$ nsgtk -v
(0.000001) utils/log.c:101 nslog_init: NetSurf version '3.5 (6th April 1016)'
(0.000153) utils/log.c:110 nslog_init: NetSurf on <Linux>, node <debian>, release <3.2.0-0.bpo.1-486>, version <#1 Tue Mar 13 15:42:17 UTC 2012>, machine <i686>
(0.000324) gtk/resources.c:234 init_resource: Unable to find resource netsurf.gtk2.ui on resource path
GTK resources failed to initialise (NotFound)
general@debian:~$
Additional Informationno especial configuration when build, only set fontconfig to use freetype
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001472

Vincent Sanders (administrator)

I have uploaded 3.6 to debian testing. perhaps you could try that version?
PICCORO Lenz McKAY

~0001478

PICCORO Lenz McKAY (reporter)

download the dsc file, compiled with dpkg-buildpackage, installed the deb files, now fixed, was the shared files of the gtk part

the makefile are not clear about it, mark as fixed but next release explain more about shared files of gtk ubication.
+Notes

-Issue History
Date Modified Username Field Change
2016-09-23 06:46 PICCORO Lenz McKAY New Issue
2016-12-31 12:46 Vincent Sanders Note Added: 0001472
2016-12-31 12:46 Vincent Sanders Status new => feedback
2017-01-03 02:48 PICCORO Lenz McKAY Note Added: 0001478
2017-01-03 02:48 PICCORO Lenz McKAY Status feedback => new
2017-01-18 21:30 Vincent Sanders Status new => resolved
2017-01-18 21:30 Vincent Sanders Fixed in Version => 3.6
+Issue History